### Parameters

`CFG : ProcCfg.S`

### Signature

`module CFG = CFG`
`module Domain = Domain`
`type extras``= extras_t```
`val stacktree_of_astate : InferIR.Procdesc.t ‑> Domain.t ‑> InferBase.Location.t ‑> string ‑> (Domain.elt ‑> InferIR.Procdesc.t option) ‑> InferGenerated.Stacktree_j.stacktree`
`val output_json_summary : InferIR.Procdesc.t ‑> Domain.t ‑> InferBase.Location.t ‑> string ‑> (Domain.elt ‑> InferIR.Procdesc.t option) ‑> unit`
`val exec_instr : Domain.t ‑> extras_t ProcData.t ‑> 'a ‑> InferIR.Sil.instr ‑> Domain.t`
`val pp_session_name : 'a ‑> F.formatter ‑> unit`